<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>al.DDRS.UpdateUnlock</name>
<version>0</version>
<engineversion>30</engineversion>
<description>Fix Stored Unlocked Shiptypes</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$Unlocked.Items&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>'ddrs.unlockeditems'</var></line>
<line linenr="002" indent=""><var>if&#160;</var><var>$Unlocked.Items</var></line>
<line linenr="003" indent="&#160;"><var>$Count&#160;=&#160;</var><var>5</var></line>
<line linenr="004" indent="&#160;"><var>while&#160;</var><var>$Count</var></line>
<line linenr="005" indent="&#160;&#160;"><text>dec&#160;</text><var>$Count&#160;=&#160;</var></line>
<line linenr="006" indent="&#160;&#160;"><var>if&#160;</var><var>$Count</var><text>&#160;</text><var>==</var><text>&#160;</text><var>0</var></line>
<line linenr="007" indent="&#160;&#160;&#160;"><var>$Race&#160;=&#160;</var><var>Argon</var></line>
<line linenr="008" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$Count</var><text>&#160;</text><var>==</var><text>&#160;</text><var>1</var></line>
<line linenr="009" indent="&#160;&#160;&#160;"><var>$Race&#160;=&#160;</var><var>Boron</var></line>
<line linenr="010" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$Count</var><text>&#160;</text><var>==</var><text>&#160;</text><var>2</var></line>
<line linenr="011" indent="&#160;&#160;&#160;"><var>$Race&#160;=&#160;</var><var>Paranid</var></line>
<line linenr="012" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$Count</var><text>&#160;</text><var>==</var><text>&#160;</text><var>3</var></line>
<line linenr="013" indent="&#160;&#160;&#160;"><var>$Race&#160;=&#160;</var><var>Split</var></line>
<line linenr="014" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$Count</var><text>&#160;</text><var>==</var><text>&#160;</text><var>4</var></line>
<line linenr="015" indent="&#160;&#160;&#160;"><var>$Race&#160;=&#160;</var><var>Teladi</var></line>
<line linenr="016" indent="&#160;&#160;"><text>else</text></line>
<line linenr="017" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="018" indent="&#160;&#160;"><text>end</text></line>
<line linenr="019" interruptable="@" indent="&#160;&#160;"><var>$Ship.List&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.ShipList</call><text>&#160;:&#160;</text><text>&#160;Race=</text><var>$Race</var><text>&#160;</text><text>&#160;Class=</text><var>null</var></line>
<line linenr="020" indent="&#160;&#160;"><var>$Unlocked.Vars&#160;=&#160;</var><var>$Unlocked.Items</var><text>[</text><var>$Count</var><text>]</text></line>
<line linenr="021" indent="&#160;&#160;"><var>$No.Unlock&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Unlocked.Vars</var></line>
<line linenr="022" indent="&#160;&#160;"><var>$New.Array&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>1</var></line>
<line linenr="023" indent="&#160;&#160;"><var>$Index&#160;=&#160;</var><var>0</var></line>
<line linenr="024" indent="&#160;&#160;"><var>while&#160;</var><var>$Index</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$No.Unlock</var></line>
<line linenr="025" indent="&#160;&#160;&#160;"><var>$Item&#160;=&#160;</var><var>$Unlocked.Vars</var><text>[</text><var>$Index</var><text>]</text></line>
<line linenr="026" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Index</var></line>
<line linenr="027" indent="&#160;&#160;&#160;&#160;"><var>$No.Ships&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Ship.List</var></line>
<line linenr="028" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="029" indent="&#160;&#160;&#160;&#160;"><var>while&#160;</var><var>$No.Ships</var></line>
<line linenr="030" indent="&#160;&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$No.Ships&#160;=&#160;</var></line>
<line linenr="031" indent="&#160;&#160;&#160;&#160;&#160;"><var>$Type&#160;=&#160;</var><var>$Ship.List</var><text>[</text><var>$No.Ships</var><text>]</text></line>
<line linenr="032" indent="&#160;&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$Type</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Item</var></line>
<line linenr="033" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$Ship.List</var><text>&#160;at&#160;index&#160;</text><var>$No.Ships</var></line>
<line linenr="034" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$No.Ships&#160;=&#160;</var></line>
<line linenr="035" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$Ship.List</var><text>&#160;at&#160;index&#160;</text><var>$No.Ships</var></line>
<line linenr="036" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>append&#160;</text><var>$Item</var><text>&#160;to&#160;array&#160;</text><var>$New.Array</var></line>
<line linenr="037" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="038" indent="&#160;&#160;&#160;&#160;&#160;"><text>else</text></line>
<line linenr="039" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$No.Ships&#160;=&#160;</var></line>
<line linenr="040" indent="&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="041" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="042" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="043" indent="&#160;&#160;&#160;"><text>else</text></line>
<line linenr="044" indent="&#160;&#160;&#160;&#160;"><var>$New.Array</var><text>[</text><var>$Index</var><text>]&#160;=&#160;</text><var>$Item</var></line>
<line linenr="045" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="046" indent="&#160;&#160;&#160;"><text>inc&#160;</text><var>$Index&#160;=&#160;</var></line>
<line linenr="047" indent="&#160;&#160;"><text>end</text></line>
<line linenr="048" indent="&#160;&#160;"><var>$Unlocked.Items</var><text>[</text><var>$Count</var><text>]&#160;=&#160;</text><var>$New.Array</var></line>
<line linenr="049" indent="&#160;"><text>end</text></line>
<line linenr="050" indent=""><text>end</text></line>
<line linenr="051" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="al.DDRS.UpdateUnlock" /><sval type="int" val="30" /><sval type="string" val="Fix Stored Unlocked Shiptypes" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="11"><sval type="string" val="Unlocked.Items" /><sval type="string" val="Count" /><sval type="string" val="Race" /><sval type="string" val="Ship.List" /><sval type="string" val="Unlocked.Vars" /><sval type="string" val="No.Unlock" /><sval type="string" val="New.Array" /><sval type="string" val="Index" /><sval type="string" val="Item" /><sval type="string" val="No.Ships" /><sval type="string" val="Type" /></sval><sval type="array" size="49"><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="5" /><sval type="string" val="ddrs.unlockeditems" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610600445" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610600439" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610685" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609915" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609147" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608379" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607611" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="48" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="al.DDRS.ShipList" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600951" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610601725" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610601975" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610602493" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="9" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="42" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="41" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="30" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="44" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="3" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="14"><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="41" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="42" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="42" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="48" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="48" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
